Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518152 - 'foreman-maintain upgrade' should check RAM before installing updated packages
Summary: 'foreman-maintain upgrade' should check RAM before installing updated packages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Foreman Maintain
Version: 6.3.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: Amit Upadhye
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: 1496794
TreeView+ depends on / blocked
 
Reported: 2017-11-28 10:41 UTC by Ashish Humbe
Modified: 2019-04-12 15:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-18 14:53:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 22221 None None None 2018-01-10 13:21:33 UTC

Description Ashish Humbe 2017-11-28 10:41:39 UTC
Description of problem:

If the system does not have enough RAM (8GB) satellite-installer will fail, so before installing higher version of packages for 6.2.z / 6.3 foreman-maintain script should check whether system has enough RAM ( as per the satellite-installer script) 

Version-Release number of selected component (if applicable):
rubygem-foreman_maintain-0.0.11-1.el7sat.noarch

Comment 1 Ashish Humbe 2017-11-28 10:51:23 UTC
Like installer check RAM before starting installation same way foreman-maintain should also check RAM/disk space.

Comment 3 Steven Mercurio 2018-06-18 14:35:17 UTC
That is *NOT* the case with CAPSULE.  I am and have been running an AWS capsule since 6.2.13 and updated to 6.2.1 and it does GREAT.  Now as it is AWS there is a lot less (no DNSm DHCP, discovery, etc.) services  and I do not have a lot of hosts.  Also  the pay per hour is an issue as well so I have found that a T2.Medium does just fine.

For Satellite WITH capsule yes 8 is bare min.  Now without capsule I have not tried so can not say if 4 or 8 is the min.

For Capsule, however I can say without a doubt 4 is just fine so I think setting minimum ram based on --scenario setting of satellite vs capsule with capdule being 4 and satellite being 8 is the way to go,

Hoewever at a bare minimum at least a message saying what the setting is to bypass RAM checks along with mem error message is required.

Comment 4 Mike McCune 2018-06-18 14:53:11 UTC
We are not going to duplicate the checks that already exist in the Satellite Installer to be duplicated in foreman-maintain. If the installer fails because there is not enough ram, it did its job.

We are also not going to relax the minimum required warnings as they are applicable to the majority of our users and are there for a reason.

If you want to bypass these warnings, you can still install the capsule with the     --disable-system-checks flag.

closing as wontfix

Comment 5 Steven Mercurio 2018-06-18 15:01:15 UTC
(In reply to Mike McCune from comment #4)

> We are not going to duplicate the checks that already exist in the Satellite
> Installer to be duplicated in foreman-maintain. If the installer fails
> because there is not enough ram, it did its job.
> 
> We are also not going to relax the minimum required warnings as they are
> applicable to the majority of our users and are there for a reason.
> 
> If you want to bypass these warnings, you can still install the capsule with
> the     --disable-system-checks flag.
> 
> closing as wontfix


and that's fine but my only ask/thought was to just mention that switch with the error as it's not easily found.  Adding a line in DOCs with that switch works too.

If you want to see and test out my AWS 4G RAM capsule it's at your disposal.  It actually does VERY will and does not swap at all so for not heavily used AWS zones it would be great and 1/2 the cost of the 2x8 instance.


Note You need to log in before you can comment on or make changes to this bug.